Subject: bug#1103: 23.0.60; which-func misses functions

From: "Lennart Borgman (gmail)" <[email-masked]>
Date: Thu, 09 Oct 2008 02:45:50 +0200

Lennart Borgman (gmail) wrote:
> Chong Yidong wrote:
>>> Instead of displaying the last function in an elisp file it may
>>> display the name of a variable that is above the function.
>> Could you send (i) a recipe to reproduce this problem, and
> 
> Hm, sorry, I can't reproduce it now. It might be a problem with an imenu
> library I loaded, I did not think of that. I have to investigate this
> further.

I am a bit puzzled. I see a bit different things. I just tested with a
checkout from 2008-10-03:

  emacs -Q
  M-x find-function RET which-function-mode
  M-x which-function-mode

This gives me wrong function names in the mode line. But there is
something strange there, I will check with a new checkout later ...

>> (ii) a
>> ChangeLog entry for your patch?
>>
>> Thanks.
>>
> 
> 
> 
> 
>